Subject: Bug#845: Intentional forced language?

From: Jaakko Haavisto <[email-masked]>
Date: Thu, 30 Apr 2015 10:53:59 +0000 (UTC)

I don't mean to offend you and the x2go team. The point what I was trying to make is that location and language are complete different things. For example when I set my windows location to England, then my programs/widgets are telling me what's the weather in England and telling what's happening in England (information that I don't need). The point is that in windows control panel there aren't any good setting for changing the language of the programs.
I like this MSDN way of developing localization of windows applications:
(https://msdn.microsoft.com/en-us/library/windows/desktop/dd317790(v=vs.85).aspx)User Interface Language Settings
When planning your MUI application, you must first decide on the languages for the user interface and the way to present them to the user. The application can support languages in one of these ways:   
   - Follow system language settings. Assume that the user preferred UI languages and the system preferred UI languages, taken together, represent the languages available to the user. Use the fallback mechanism of the resource loader for language selection.
   - Make application-specific language settings. Support specific languages and present a selection mechanism to the user.

ps. I don't wan't to exploit bug to change the language, because I can handle Finnish and English languages, but I have colleagues that aren't from Finland and their x2go user experience would be much better if they could use whatever language they choose without changing windows location. So I started this conversion with you so I could propose that adding language selection menu to x2go settings could benefit a lot of people.